Subject: Re: bug#46358: 28.0.50; [PATCH] Add vc-dir faces; also apply them to vc-git

From: Dmitry Gutov <[email-masked]>
Date: Tue, 9 Feb 2021 01:24:04 +0200

On 08.02.2021 20:17, Juri Linkov wrote:
>>> Very well!  I am doing just that in the revised patch.  So there should
>>> be no visual difference between this and the prior state, except for one
>>> case: the empty Git stash header, which will ultimately inherit from
>>> 'shadow' (before there was a "FIXME" to disambiguate it from other
>>> header values).
>>
>> Looks good to me; pushed to Emacs 28 now.
> 
> I don't know if anyone else has such problem, but now highlighting
> the empty Git stash header with a different color distinguishes it
> from other header lines, and thus attracts more attention.
> So now the most noticeable thing in the vc-dir is the Git stash header
> (that I almost never use).

It looks okay-ish for me, but that must depend on a particular theme.

> Maybe better to display the empty Git stash header using the default
> colors, and then highlight it differently only when it's non-empty?

Not with vc-dir-ignored, though (it is based on the 'shadow' face).